Subject: Re: Relocatable DLL example doesn't work for b18
From: [email-masked] (Fergus Henderson)

29 Nov 1997 09:06:29 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

Zixiong WANG <[email-masked]> writes:

>	I'v tried the relocatable DLL creation example with b18
>(http://www.cygnus.com/misc/gnu-win32/building-reloc-dlls.txt).
>	I get a segmentation fault :
>(gdb) r
>Starting program: //D/dll/main.exe 
>10000000://D/dll/fooB.dll
>warning: LDR: Automatic DLL Relocation in main.exe
>
>warning: LDR: Dll cygwin.dll base 10000000 relocated due to collision with
>D:\dll\fooB.dll
>
>2520000:/GNUWIN32/B18/H-I386-CYGWIN32/BIN/cygwin.dll
....
>Mr. John Cerney ([email-masked] auther of the example) says he hasn't yet 
>the time to look at this problem and the example works with b17.

I've observed similar behaviour (also on NT) -- apparently the b18 cygwin.dll
does not work if it is relocated.

--
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".